### Method

# Gtk.Snapshot.append_repeating_linear_gradient

#### Declaration [src]

    void
    gtk_snapshot_append_repeating_linear_gradient (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_point_t* start_point,
      const graphene_point_t* end_point,
      const GskColorStop* stops,
      gsize n_stops
    )

#### Description [src]

Appends a repeating linear gradient node with the given stops to `snapshot`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the rectangle to render the linear gradient into
| Ownership is not transferred to the callee
`start_point` | `const graphene_point_t*`
| the point at which the linear gradient will begin
| Ownership is not transferred to the callee
`end_point` | `const graphene_point_t*`
| the point at which the linear gradient will finish
| Ownership is not transferred to the callee
`stops` | An array of `GskColorStop`
| a pointer to an array of `GskColorStop` defining the gradient
| The length of the array is in the `n_stops` argument
| Ownership is not transferred to the callee
`n_stops` | `gsize`
| the number of elements in `stops`